Package de.willuhn.jameica.hbci.calendar

# Class AbstractAppointmentProvider<T extends HibiscusDBObject>

java.lang.Object
de.willuhn.jameica.hbci.calendar.AbstractAppointmentProvider<T>

Type Parameters:
  `T` - der konkrete Typ des Termin-Providers.

All Implemented Interfaces:
  `de.willuhn.jameica.gui.calendar.AppointmentProvider`

Direct Known Subclasses:
  `AuslandsUeberweisungAppointmentProvider`, `SepaDauerauftragAppointmentProvider`, `SepaLastschriftAppointmentProvider`, `SepaSammelLastschriftAppointmentProvider`, `SepaSammelUeberweisungAppointmentProvider`, `UmsatzAppointmentProvider`

public abstract class AbstractAppointmentProvider<T extends HibiscusDBObject> extends Object implements de.willuhn.jameica.gui.calendar.AppointmentProvider
Abstrakte Implementierung eines Termin-Providers.

## Constructor Summary

Constructors
Constructor
Description
`AbstractAppointmentProvider()`

## Method Summary

Modifier and Type
Method
Description
`List<de.willuhn.jameica.gui.calendar.Appointment>`
`getAppointments(Date from, Date to)`
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractAppointmentProvider

public AbstractAppointmentProvider()

## Method Details

### getAppointments

public List<de.willuhn.jameica.gui.calendar.Appointment> getAppointments(Date from, Date to)

Specified by:
  `getAppointments` in interface `de.willuhn.jameica.gui.calendar.AppointmentProvider`

### getName

public String getName()

Specified by:
  `getName` in interface `de.willuhn.jameica.gui.calendar.AppointmentProvider`